net.sourceforge.pmd.jaxen

## Class DocumentNavigatorTest

- java.lang.Object
- - net.sourceforge.pmd.testframework.RuleTst
  - - net.sourceforge.pmd.jaxen.DocumentNavigatorTest

    public class DocumentNavigatorTest
    extends RuleTst

### Field Summary

Fields
`static String` `TEST`

### Fields inherited from class net.sourceforge.pmd.testframework.RuleTst

`DEFAULT_LANGUAGE, DEFAULT_LANGUAGE_VERSION`

### Constructor Summary

Constructors
Constructor and Description
`DocumentNavigatorTest()`

### Method Summary

Methods
`void` `setUp()`
`static junit.framework.Test` `suite()`
`void` `testChildAxisIterator()`
`void` `testDescendantAxisIterator()`
`void` `testDescendantAxisIterator2()`
`void` `testFollowingSiblingAxisIterator()`
`void` `testFollowingSiblingAxisIterator2()`
`void` `testParentAxisIterator()`
`void` `testParentAxisIterator2()`
`void` `testPrecedingSiblingAxisIterator()`
`void` `testPrecedingSiblingAxisIterator2()`
`void` `testXPath()`
`void` `testXPath2()`

### Methods inherited from class net.sourceforge.pmd.testframework.RuleTst

`extractTestsFromXml, extractTestsFromXml, extractTestsFromXml, findRule, getCleanRuleName, runTest, runTestFromString, runTestFromString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### TEST

    public static final String TEST

### Constructor Detail

#### DocumentNavigatorTest

    public DocumentNavigatorTest()

### Method Detail

#### setUp

    public void setUp()
               throws Exception

Throws:
  `Exception`

#### testChildAxisIterator

    public void testChildAxisIterator()

#### testParentAxisIterator

    public void testParentAxisIterator()

#### testParentAxisIterator2

    public void testParentAxisIterator2()

#### testDescendantAxisIterator

    public void testDescendantAxisIterator()
                                    throws org.jaxen.UnsupportedAxisException

Throws:
  `org.jaxen.UnsupportedAxisException`

#### testDescendantAxisIterator2

    public void testDescendantAxisIterator2()
                                     throws org.jaxen.UnsupportedAxisException

Throws:
  `org.jaxen.UnsupportedAxisException`

#### testFollowingSiblingAxisIterator

    public void testFollowingSiblingAxisIterator()

#### testFollowingSiblingAxisIterator2

    public void testFollowingSiblingAxisIterator2()

#### testPrecedingSiblingAxisIterator

    public void testPrecedingSiblingAxisIterator()

#### testPrecedingSiblingAxisIterator2

    public void testPrecedingSiblingAxisIterator2()

#### testXPath

    public void testXPath()
                   throws org.jaxen.JaxenException

Throws:
  `org.jaxen.JaxenException`

#### testXPath2

    public void testXPath2()
                    throws org.jaxen.JaxenException

Throws:
  `org.jaxen.JaxenException`

#### suite

    public static junit.framework.Test suite()